<div class="front_page_section front_page_section_subscribe<?php
	$gamic_scheme = gamic_get_theme_option( 'front_page_subscribe_scheme' );
	if ( ! empty( $gamic_scheme ) && ! gamic_is_inherit( $gamic_scheme ) ) {
		echo ' scheme_' . esc_attr( $gamic_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( gamic_get_theme_option( 'front_page_subscribe_paddings' ) );
	if ( gamic_get_theme_option( 'front_page_subscribe_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$gamic_css      = '';
		$gamic_bg_image = gamic_get_theme_option( 'front_page_subscribe_bg_image' );
		if ( ! empty( $gamic_bg_image ) ) {
			$gamic_css .= 'background-image: url(' . esc_url( gamic_get_attachment_url( $gamic_bg_image ) ) . ');';
		}
		if ( ! empty( $gamic_css ) ) {
			echo ' style="' . esc_attr( $gamic_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$gamic_anchor_icon = gamic_get_theme_option( 'front_page_subscribe_anchor_icon' );
	$gamic_anchor_text = gamic_get_theme_option( 'front_page_subscribe_anchor_text' );
if ( ( ! empty( $gamic_anchor_icon ) || ! empty( $gamic_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_subscribe"'
									. ( ! empty( $gamic_anchor_icon ) ? ' icon="' . esc_attr( $gamic_anchor_icon ) . '"' : '' )
									. ( ! empty( $gamic_anchor_text ) ? ' title="' . esc_attr( $gamic_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_subscribe_inner
	<?php
	if ( gamic_get_theme_option( 'front_page_subscribe_fullheight' ) ) {
		echo ' gamic-full-height sc_layouts_flex sc_layouts_columns_middle';
	}
	?>
			"
			<?php
			$gamic_css      = '';
			$gamic_bg_mask  = gamic_get_theme_option( 'front_page_subscribe_bg_mask' );
			$gamic_bg_color_type = gamic_get_theme_option( 'front_page_subscribe_bg_color_type' );
			if ( 'custom' == $gamic_bg_color_type ) {
				$gamic_bg_color = gamic_get_theme_option( 'front_page_subscribe_bg_color' );
			} elseif ( 'scheme_bg_color' == $gamic_bg_color_type ) {
				$gamic_bg_color = gamic_get_scheme_color( 'bg_color', $gamic_scheme );
			} else {
				$gamic_bg_color = '';
			}
			if ( ! empty( $gamic_bg_color ) && $gamic_bg_mask > 0 ) {
				$gamic_css .= 'background-color: ' . esc_attr(
					1 == $gamic_bg_mask ? $gamic_bg_color : gamic_hex2rgba( $gamic_bg_color, $gamic_bg_mask )
				) . ';';
			}
			if ( ! empty( $gamic_css ) ) {
				echo ' style="' . esc_attr( $gamic_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_subscribe_content_wrap content_wrap">
			<?php
			// Caption
			$gamic_caption = gamic_get_theme_option( 'front_page_subscribe_caption' );
			if ( ! empty( $gamic_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<h2 class="front_page_section_caption front_page_section_subscribe_caption front_page_block_<?php echo ! empty( $gamic_caption ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( $gamic_caption, 'gamic_kses_content' ); ?></h2>
				<?php
			}

			// Description (text)
			$gamic_description = gamic_get_theme_option( 'front_page_subscribe_description' );
			if ( ! empty( $gamic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_description front_page_section_subscribe_description front_page_block_<?php echo ! empty( $gamic_description ) ? 'filled' : 'empty'; ?>"><?php echo wp_kses( wpautop( $gamic_description ), 'gamic_kses_content' ); ?></div>
				<?php
			}

			// Content
			$gamic_sc = gamic_get_theme_option( 'front_page_subscribe_shortcode' );
			if ( ! empty( $gamic_sc ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				?>
				<div class="front_page_section_output front_page_section_subscribe_output front_page_block_<?php echo ! empty( $gamic_sc ) ? 'filled' : 'empty'; ?>">
				<?php
					gamic_show_layout( do_shortcode( $gamic_sc ) );
				?>
				</div>
				<?php
			}
			?>
		</div>
	</div>
</div>
