<?php
/**
 * The template to display the background video in the header
 *
 * @package GAMIC
 * @since GAMIC 1.0.14
 */
$gamic_header_video = gamic_get_header_video();
$gamic_embed_video  = '';
if ( ! empty( $gamic_header_video ) && ! gamic_is_from_uploads( $gamic_header_video ) ) {
	if ( gamic_is_youtube_url( $gamic_header_video ) && preg_match( '/[=\/]([^=\/]*)$/', $gamic_header_video, $matches ) && ! empty( $matches[1] ) ) {
		?><div id="background_video" data-youtube-code="<?php echo esc_attr( $matches[1] ); ?>"></div>
		<?php
	} else {
		?>
		<div id="background_video"><?php gamic_show_layout( gamic_get_embed_video( $gamic_header_video ) ); ?></div>
		<?php
	}
}
