<div class="front_page_section front_page_section_googlemap<?php
	$gamic_scheme = gamic_get_theme_option( 'front_page_googlemap_scheme' );
	if ( ! empty( $gamic_scheme ) && ! gamic_is_inherit( $gamic_scheme ) ) {
		echo ' scheme_' . esc_attr( $gamic_scheme );
	}
	echo ' front_page_section_paddings_' . esc_attr( gamic_get_theme_option( 'front_page_googlemap_paddings' ) );
	if ( gamic_get_theme_option( 'front_page_googlemap_stack' ) ) {
		echo ' sc_stack_section_on';
	}
?>"
		<?php
		$gamic_css      = '';
		$gamic_bg_image = gamic_get_theme_option( 'front_page_googlemap_bg_image' );
		if ( ! empty( $gamic_bg_image ) ) {
			$gamic_css .= 'background-image: url(' . esc_url( gamic_get_attachment_url( $gamic_bg_image ) ) . ');';
		}
		if ( ! empty( $gamic_css ) ) {
			echo ' style="' . esc_attr( $gamic_css ) . '"';
		}
		?>
>
<?php
	// Add anchor
	$gamic_anchor_icon = gamic_get_theme_option( 'front_page_googlemap_anchor_icon' );
	$gamic_anchor_text = gamic_get_theme_option( 'front_page_googlemap_anchor_text' );
if ( ( ! empty( $gamic_anchor_icon ) || ! empty( $gamic_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
	echo do_shortcode(
		'[trx_sc_anchor id="front_page_section_googlemap"'
									. ( ! empty( $gamic_anchor_icon ) ? ' icon="' . esc_attr( $gamic_anchor_icon ) . '"' : '' )
									. ( ! empty( $gamic_anchor_text ) ? ' title="' . esc_attr( $gamic_anchor_text ) . '"' : '' )
									. ']'
	);
}
?>
	<div class="front_page_section_inner front_page_section_googlemap_inner
		<?php
		$gamic_layout = gamic_get_theme_option( 'front_page_googlemap_layout' );
		echo ' front_page_section_layout_' . esc_attr( $gamic_layout );
		if ( gamic_get_theme_option( 'front_page_googlemap_fullheight' ) ) {
			echo ' gamic-full-height sc_layouts_flex sc_layouts_columns_middle';
		}
		?>
		"
			<?php
			$gamic_css      = '';
			$gamic_bg_mask  = gamic_get_theme_option( 'front_page_googlemap_bg_mask' );
			$gamic_bg_color_type = gamic_get_theme_option( 'front_page_googlemap_bg_color_type' );
			if ( 'custom' == $gamic_bg_color_type ) {
				$gamic_bg_color = gamic_get_theme_option( 'front_page_googlemap_bg_color' );
			} elseif ( 'scheme_bg_color' == $gamic_bg_color_type ) {
				$gamic_bg_color = gamic_get_scheme_color( 'bg_color', $gamic_scheme );
			} else {
				$gamic_bg_color = '';
			}
			if ( ! empty( $gamic_bg_color ) && $gamic_bg_mask > 0 ) {
				$gamic_css .= 'background-color: ' . esc_attr(
					1 == $gamic_bg_mask ? $gamic_bg_color : gamic_hex2rgba( $gamic_bg_color, $gamic_bg_mask )
				) . ';';
			}
			if ( ! empty( $gamic_css ) ) {
				echo ' style="' . esc_attr( $gamic_css ) . '"';
			}
			?>
	>
		<div class="front_page_section_content_wrap front_page_section_googlemap_content_wrap
		<?php
		if ( 'fullwidth' != $gamic_layout ) {
			echo ' content_wrap';
		}
		?>
		">
			<?php
			// Content wrap with title and description
			$gamic_caption     = gamic_get_theme_option( 'front_page_googlemap_caption' );
			$gamic_description = gamic_get_theme_option( 'front_page_googlemap_description' );
			if ( ! empty( $gamic_caption ) || ! empty( $gamic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'fullwidth' == $gamic_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}
					// Caption
				if ( ! empty( $gamic_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<h2 class="front_page_section_caption front_page_section_googlemap_caption front_page_block_<?php echo ! empty( $gamic_caption ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( $gamic_caption, 'gamic_kses_content' );
					?>
					</h2>
					<?php
				}

					// Description (text)
				if ( ! empty( $gamic_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					?>
					<div class="front_page_section_description front_page_section_googlemap_description front_page_block_<?php echo ! empty( $gamic_description ) ? 'filled' : 'empty'; ?>">
					<?php
					echo wp_kses( wpautop( $gamic_description ), 'gamic_kses_content' );
					?>
					</div>
					<?php
				}
				if ( 'fullwidth' == $gamic_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Content (text)
			$gamic_content = gamic_get_theme_option( 'front_page_googlemap_content' );
			if ( ! empty( $gamic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
				if ( 'columns' == $gamic_layout ) {
					?>
					<div class="front_page_section_columns front_page_section_googlemap_columns columns_wrap">
						<div class="column-1_3">
					<?php
				} elseif ( 'fullwidth' == $gamic_layout ) {
					?>
					<div class="content_wrap">
					<?php
				}

				?>
				<div class="front_page_section_content front_page_section_googlemap_content front_page_block_<?php echo ! empty( $gamic_content ) ? 'filled' : 'empty'; ?>">
				<?php
					echo wp_kses( $gamic_content, 'gamic_kses_content' );
				?>
				</div>
				<?php

				if ( 'columns' == $gamic_layout ) {
					?>
					</div><div class="column-2_3">
					<?php
				} elseif ( 'fullwidth' == $gamic_layout ) {
					?>
					</div>
					<?php
				}
			}

			// Widgets output
			?>
			<div class="front_page_section_output front_page_section_googlemap_output">
				<?php
				if ( is_active_sidebar( 'front_page_googlemap_widgets' ) ) {
					dynamic_sidebar( 'front_page_googlemap_widgets' );
				} elseif ( current_user_can( 'edit_theme_options' ) ) {
					if ( ! gamic_exists_trx_addons() ) {
						gamic_customizer_need_trx_addons_message();
					} else {
						gamic_customizer_need_widgets_message( 'front_page_googlemap_caption', 'ThemeREX Addons - Google map' );
					}
				}
				?>
			</div>
			<?php

			if ( 'columns' == $gamic_layout && ( ! empty( $gamic_content ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) ) {
				?>
				</div></div>
				<?php
			}
			?>
		</div>
	</div>
</div>
