<?php
/**
 * The template to display the copyright info in the footer
 *
 * @package GAMIC
 * @since GAMIC 1.0.10
 */

// Copyright area
?> 
<div class="footer_copyright_wrap
<?php
$gamic_copyright_scheme = gamic_get_theme_option( 'copyright_scheme' );
if ( ! empty( $gamic_copyright_scheme ) && ! gamic_is_inherit( $gamic_copyright_scheme  ) ) {
	echo ' scheme_' . esc_attr( $gamic_copyright_scheme );
}
?>
				">
	<div class="footer_copyright_inner">
		<div class="content_wrap">
			<div class="copyright_text">
			<?php
				$gamic_copyright = gamic_get_theme_option( 'copyright' );
			if ( ! empty( $gamic_copyright ) ) {
				// Replace {{Y}} or {Y} with the current year
				$gamic_copyright = str_replace( array( '{{Y}}', '{Y}' ), date( 'Y' ), $gamic_copyright );
				// Replace {{...}} and ((...)) on the <i>...</i> and <b>...</b>
				$gamic_copyright = gamic_prepare_macros( $gamic_copyright );
				// Display copyright
				echo wp_kses( nl2br( $gamic_copyright ), 'gamic_kses_content' );
			}
			?>
			</div>
		</div>
	</div>
</div>
